package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）枚举类
*
* @author zxfei
*/
public enum IsMustEnum {
    非必要("非必要", "非必要"),
    必要("必要", "必要"),
    必要容缺后补("必要|容缺后补", "必要|容缺后补"),
    非必要容缺后补("非必要|容缺后补", "非必要|容缺后补");
    private String value;
    private String desc;

    IsMustEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsMustEnum getByValue(String value) {
        for (IsMustEnum isMustEnum : IsMustEnum.values()) {
            if (isMustEnum.getValue() == value) {
                return isMustEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsMustEnum item : IsMustEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}